%include	/usr/lib/rpm/macros.perl
Summary:	File copying over the Object Exchange (OBEX) protocol
Summary(pl.UTF-8):	Kopiowanie plików z wykorzystaniem protokołu Object Exchange (OBEX)
Name:		obexftp
Version:	0.23
Release:	10
License:	GPL v2+ (server, bindings), LGPL v2+ (libraries)
Group:		Applications/Communications
Source0:	http://dl.sourceforge.net/openobex/%{name}-%{version}.tar.bz2
# Source0-md5:	f20762061b68bc921e80be4aebc349eb
Patch0:		%{name}-no_server.patch
Patch1:		%{name}-perl.patch
Patch2:		%{name}-nostress.patch
Patch3:		%{name}-ruby1.9.patch
Patch4:		am.patch
Patch5:		format-security.patch
URL:		http://triq.net/obex/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bluez-libs-devel
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRequires:	openobex-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-perlprov
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-devel
BuildRequires:	tcl-devel
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		skip_post_check_so	obexftp.so.0.0.0

%description
Free open source application for file copying over the Object Exchange
(OBEX) protocol.

%description -l pl.UTF-8
Wolnodostępna aplikacja służąca do kopiowania plików z wykorzystaniem
protokołu Object Exchange (OBEX).

%package libs
Summary:	ObexFTP libraries
Summary(pl.UTF-8):	Biblioteki ObexFTP
License:	LGPL v2+
Group:		Libraries

%description libs
ObexFTP libraries.

%description libs -l pl.UTF-8
Biblioteki ObexFTP.

%package devel
Summary:	Header files for ObexFTP
Summary(es.UTF-8):	Ficheros de cabecera para ObexFTP
Summary(pl.UTF-8):	Pliki nagłówkowe ObexFTP
License:	LGPL v2+
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	bluez-libs-devel
Requires:	openobex-devel

%description devel
The header files are only needed for development of programs based on
ObexFTP.

%description devel -l pl.UTF-8
W pakiecie tym znajdują się pliki nagłówkowe, przeznaczone do
rozwijania programów bazujących na bibliotekach ObexFTP.

%package static
Summary:	Static ObexFTP library
Summary(es.UTF-8):	Biblioteca estática de ObexFTP
Summary(pl.UTF-8):	Biblioteka statyczna ObexFTP
License:	LGPL v2+
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ObexFTP library.

%description static -l pl.UTF-8
Biblioteka statyczna ObexFTP.

%package -n perl-obexftp
Summary:	Perl binding for ObexFTP library
Summary(pl.UTF-8):	Wiązanie Perla dla biblioteki ObexFTP
License:	GPL v2+
Group:		Development/Languages/Perl
Requires:	%{name}-libs = %{version}-%{release}

%description -n perl-obexftp
Perl binding for ObexFTP library.

%description -n perl-obexftp -l pl.UTF-8
Wiązanie Perla dla biblioteki ObexFTP.

%package -n python-obexftp
Summary:	Python binding for ObexFTP library
Summary(pl.UTF-8):	Wiązanie Pythona dla biblioteki ObexFTP
License:	GPL v2+
Group:		Libraries/Python
Requires:	%{name}-libs = %{version}-%{release}
%pyrequires_eq	python-libs

%description -n python-obexftp
Python binding for ObexFTP library.

%description -n python-obexftp -l pl.UTF-8
Wiązanie Pythona dla biblioteki ObexFTP.

%package -n ruby-obexftp
Summary:	Ruby binding for ObexFTP library
Summary(pl.UTF-8):	Wiązanie języka Ruby dla biblioteki ObexFTP
License:	GPL v2+
Group:		Development/Languages
Requires:	%{name}-libs = %{version}-%{release}
%{?ruby_mod_ver_requires_eq}

%description -n ruby-obexftp
Ruby binding for ObexFTP library.

%description -n ruby-obexftp -l pl.UTF-8
Wiązanie języka Ruby dla biblioteki ObexFTP.

%package -n tcl-obexftp
Summary:	Tcl binding for ObexFTP library
Summary(pl.UTF-8):	Wiązanie Tcl-a dla biblioteki ObexFTP
License:	GPL v2+
Group:		Development/Languages
Requires:	%{name}-libs = %{version}-%{release}
Requires:	tcl

%description -n tcl-obexftp
Tcl binding for ObexFTP library.

%description -n tcl-obexftp -l pl.UTF-8
Wiązanie Tcl-a dla biblioteki ObexFTP.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

# hack for -L/usr/%{_lib} before -L../../obexftp/.libs
ln -sf ../../obexftp/.libs/libobexftp.so swig/ruby

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	RUBYARCHDIR=$RPM_BUILD_ROOT%{ruby_vendorarchdir} \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/obexftp.{la,a}
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/OBEXFTP/.packlist
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%post	-n tcl-obexftp -p /sbin/ldconfig
%postun	-n tcl-obexftp -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc doc/obexftp*.html README* NEWS THANKS TODO AUTHORS ChangeLog
%attr(755,root,root) %{_bindir}/obexftp
%attr(755,root,root) %{_bindir}/obexftpd
%{_mandir}/man1/obexftp.1*
%{_mandir}/man1/obexftpd.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbfb.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbfb.so.0
%attr(755,root,root) %{_libdir}/libmulticobex.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmulticobex.so.1
%attr(755,root,root) %{_libdir}/libobexftp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libobexftp.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbfb.so
%attr(755,root,root) %{_libdir}/libmulticobex.so
%attr(755,root,root) %{_libdir}/libobexftp.so
%{_libdir}/libbfb.la
%{_libdir}/libmulticobex.la
%{_libdir}/libobexftp.la
%{_includedir}/bfb
%{_includedir}/multicobex
%{_includedir}/obexftp
%{_pkgconfigdir}/obexftp.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libbfb.a
%{_libdir}/libmulticobex.a
%{_libdir}/libobexftp.a

%files -n perl-obexftp
%defattr(644,root,root,755)
%{perl_vendorarch}/OBEXFTP.pm
%dir %{perl_vendorarch}/auto/OBEXFTP
%attr(755,root,root) %{perl_vendorarch}/auto/OBEXFTP/OBEXFTP.so
%{perl_vendorarch}/auto/OBEXFTP/OBEXFTP.bs

%files -n python-obexftp
%defattr(644,root,root,755)
%dir %{py_sitedir}/obexftp
%attr(755,root,root) %{py_sitedir}/obexftp/_obexftp.so
%{py_sitedir}/obexftp/__init__.py[co]
%{py_sitedir}/obexftp-*.egg-info

%files -n ruby-obexftp
%defattr(644,root,root,755)
%attr(755,root,root) %{ruby_vendorarchdir}/obexftp.so

%files -n tcl-obexftp
%defattr(644,root,root,755)
# -avoid-version missing
%attr(755,root,root) %{_libdir}/obexftp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/obexftp.so.0
%attr(755,root,root) %{_libdir}/obexftp.so
%changelog
* Tue Jun 11 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/obexftp.git;a=log;h=master

* Tue Jun 11 2013 Jan Rękorajski <baggins@pld-linux.org> 1239f06
- package ruby into vendor dir
- rel 10

* Tue Jun 11 2013 Jan Rękorajski <baggins@pld-linux.org> 76a3b59
- fix format string errors
- fix building with automake 1.13
- rel 9

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 6f8f0a0
- rebuild with perl 5.18.0
- release 8 (by relup.sh)

* Fri Sep 16 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 526cbea
- release 7

* Fri Sep 09 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d14a590
- release 6

* Thu Nov 25 2010 hawk <hawk@pld-linux.org> ca1a082
- added skip_post_check_so to allow build

* Mon Nov 15 2010 pawelz <pawelz@pld-linux.org> c9d30da
- release 4

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b4c0127
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7f1a7e4
- release 2

* Wed May 12 2010 sparky <sparky@pld-linux.org> 2131599
- BR: gettext-devel

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> 0d4f41f
- fix building with ruby 1.9

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> 8b35443
- updated to 0.23

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> c3fd364
- release 4

* Wed Feb 04 2009 hawk <hawk@pld-linux.org> 1ace8eb
- release 3

* Sat Oct 11 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 519cecd
- rel.2

* Mon Sep 01 2008 Jakub Bogusz <qboosh@pld-linux.org> f021e16
- updated to 0.22
- updated perl,nostress patches, removed obsolete link,py-m4 patches
- package new ruby and tcl bindings
- libs license is LGPL (v2+)

* Mon Sep 01 2008 Jakub Bogusz <qboosh@pld-linux.org> 91ed284
- updated for 0.22

* Mon Sep 01 2008 Jakub Bogusz <qboosh@pld-linux.org> eff7900
- obsolete

* Sun Aug 31 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 2fdd965
- release 5

* Sun Feb 24 2008 Elan Ruusamäe <glen@pld-linux.org> 4d3a3b5
- release 4

